@import url('https://fonts.googleapis.com/css2?family=DynaPuff:wght@400..700&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');


html {
    scroll-behavior: smooth;
}

h1, li {
    color: white;
    font-family: DynaPuff, serif;
    font-weight: 400;
}

h2{
    color: black;
    font-family: DynaPuff, serif;
    font-weight: 400;
}

a{
    color: white;
    text-decoration: none;
}

main h3,
main h4{
    color: #B0B0B0;
    font-family: "Roboto", sans-serif;
    font-weight: 300;
    margin: 0;
    padding: 0;
}

footer article ul li,
footer i{
    color: white;
    font-family: "Roboto", sans-serif;
    font-weight: 300;
}

footer i{
    font-size: 2em;
}

header nav ul{
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 2rem;
    position: fixed;
    top: 0;
    right: 0;
    width: 100%;
    list-style: none;
    background-color: rgba(170, 170, 170, 0.5);
    min-height: 2.5rem;
    padding: 0.5rem 4rem 0.5rem 0.5rem;
    margin: 0;
    font-size: 2rem;
}

figure{
    margin: 0;
    padding: 0;
}

header{
    background-image: url('../images/header.jpg');
    min-height: 15rem;
    background-size: cover;
}

header h1{
    display: inline-block;
    position: relative;
    top: 8rem;
    left: 2.5rem;
    margin: 0;
    font-size: 4rem;
}

main section{
    padding: 1rem;
}

main h2{
    font-size: 3rem;
    margin: 2rem 0 1rem;
}

main section article:nth-of-type(2){
    padding: 1.5rem 4rem 4rem 4rem;
}

main section:nth-of-type(-n+2) article:nth-of-type(2){
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    gap: 1rem;
}

main section:nth-of-type(-n+2) article:nth-of-type(2) img{
    flex-grow: 1;
    flex-shrink: 1;
    object-fit: cover;
}

main section:last-child article:nth-of-type(2){
    column-count: 3;
    column-gap: 2rem;
    text-align: justify;
    word-break: keep-all;
}

footer{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: black;
    min-height: 10rem;
    padding: 2.5rem;
}

footer article ul{
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 1rem;
    list-style: none;
    margin: 0 0 1.5rem;
    padding: 0;
}

footer article:nth-of-type(2){
    display: flex;
    gap: 2rem;
}

#up-arrow{
    position: fixed;
    bottom: 1%;
    right: 1%;
    background-image: url("../images/fleche.png");
    background-repeat: no-repeat;
    background-size: cover;
    width: 3rem;
    height: 3rem;
}